variable "lambda_arn" { type = string }
variable "lambda_role_name" { type = string }
variable "queue_arn" { type = string }

variable "batch_size" {
  type    = number
  default = 10
}

variable "maximum_concurrency" {
  type        = number
  default     = null
  description = "Maximum number of concurrent Lambda invocations from SQS. null = no limit."
}
